Bug 1717429 - dnf install errors out when a non-existent package is provided together with existing ones
Summary: dnf install errors out when a non-existent package is provided together with ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Daniel Mach
QA Contact: Eva Mrakova
Marie Dolezelova
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 13:12 UTC by Daniel Mach
Modified: 2020-11-14 10:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.*YUM v4* requires all packages specified with `yum install` to be available *YUM v4* validates all arguments of the `yum install` command. Consequently, if any argument does not match an existing package, *YUM v4* exits and does not install packages that match. This behavior differs from *YUM v3* on RHEL 7 where the matching packages were installed in such situation. To work around the problem and make the matching packages installed, use the `--skip-broken` argument together with `yum install`. For more information, see link:https://access.redhat.com/solutions/4222871[Why does "yum install <package1> <package2>", where the "<package2>" identifier doesn't exist, cause the transaction to fail in Red Hat Enterprise Linux 8?] Knowledgebase article.
Clone Of:
Environment:
Last Closed: 2019-11-05 22:22:10 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:23 UTC

Description Daniel Mach 2019-06-05 13:12:03 UTC
$ yum -y install vim blahblah

On RHEL7:
- installs vim
- informs about non-existing package blahblah

On RHEL8:
- errors out about non-existing package blahblah
- vim is not installed

The difference has to be fixed or documented.

Comment 13 errata-xmlrpc 2019-11-05 22:22:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.